#include "music.mac"
	
	global	Dirge
	global	Horse
	global	Charge
	global	Warble
	global	Champions
	global	Scale

PROG1	CODE

;;
;;	Called like this:
;;
;;	MusicScorePlay	Dirge
;;	MusicScorePlay	Horse
;;	MusicScorePlay	Charge
;;
;; old call style
;;
;;	movlw	d'63'
;;	call	MusicNote
;;	movlw	d'10'
;;	call	MusicPlayNote

;;
;; The list file for this puppy gets HUGE because of macro expansion.
;; This line fixes that.
;;
	noexpand

Dirge:
	MusicNoteTableEntry	"C",,2,3,1
	MusicNoteTableEntry	"C",,2,2,1
	MusicNoteTableEntry	"C",,2,1,1
	MusicNoteTableEntry	"C",,2,3,0

	MusicNoteTableEntry	"E","b",2,2,0
	MusicNoteTableEntry	"D",,2,1,1
	MusicNoteTableEntry	"D",,2,2,0
	MusicNoteTableEntry	"C",,2,1,1
	MusicNoteTableEntry	"C",,2,2,0

	MusicNoteTableEntry	"B",,1,1,0
	MusicNoteTableEntry	"C",,2,3,0

	MusicNoteTableDone

Horse:
#ifdef NOTDEF
	MusicNoteTableEntry	"C",,2,2,0
	MusicNoteTableEntry	"F",,2,2,0
	MusicNoteTableEntry	"A",,2,2,0

	MusicNoteTableEntry	"C",,3,2,1
	MusicNoteTableEntry	"C",,3,1,1
	MusicNoteTableEntry	"C",,3,1,1
	MusicNoteTableEntry	"C",,3,2,0

	MusicNoteTableEntry	"A",,2,2,1
	MusicNoteTableEntry	"A",,2,1,1
	MusicNoteTableEntry	"A",,2,1,1
	MusicNoteTableEntry	"A",,2,2,0

	MusicNoteTableEntry	"F",,2,2,0
	MusicNoteTableEntry	"A",,2,2,0
	MusicNoteTableEntry	"F",,2,2,0
	MusicNoteTableEntry	"C",,2,3,0

	MusicNoteTableDone
#endif

Charge:
	MusicNoteTableEntry	"C",,3,1,0
	MusicNoteTableEntry	"F",,3,1,0
	MusicNoteTableEntry	"A",,3,1,0
	MusicNoteTableEntry	"C",,4,1,1
	MusicNoteTableEntry	"R",,0,0,0
	MusicNoteTableEntry	"A",,3,1,0
	MusicNoteTableEntry	"C",,4,2,0
	MusicNoteTableDone

Warble:
	MusicNoteTableEntry	"C",,5,0,0
	MusicNoteTableEntry	"G",,5,0,0
	MusicNoteTableEntry	"C",,5,0,0
	MusicNoteTableEntry	"G",,5,0,0
	MusicNoteTableEntry	"C",,5,0,0
	MusicNoteTableEntry	"G",,5,0,0
	MusicNoteTableEntry	"C",,5,0,0
	MusicNoteTableEntry	"G",,5,0,0
	MusicNoteTableEntry	"C",,5,0,0
	MusicNoteTableEntry	"G",,5,0,0
	MusicNoteTableDone

Champions:
	MusicNoteTableEntry	"F",,3,3,0
	MusicNoteTableEntry	"E",,3,2,0
	MusicNoteTableEntry	"F",,3,1,0
	MusicNoteTableEntry	"E",,3,3,0
	MusicNoteTableEntry	"C",,3,2,0
	MusicNoteTableEntry	"A",,2,1,0
	MusicNoteTableEntry	"D",,3,2,0
	MusicNoteTableEntry	"A",,2,2,0

	MusicNoteTableEntry	"R",,0,3,0
	
	MusicNoteTableEntry	"C",,3,2,0
	MusicNoteTableEntry	"F",,3,3,0
	MusicNoteTableEntry	"G",,3,1,0
	MusicNoteTableEntry	"A",,3,1,0
	MusicNoteTableEntry	"C",,4,2,0
	MusicNoteTableEntry	"A",,3,2,0
	MusicNoteTableEntry	"D",,3,1,0
	MusicNoteTableEntry	"E",,3,1,0
	MusicNoteTableEntry	"D",,3,3,0

	MusicNoteTableEntry	"R",,0,3,0
	
	MusicNoteTableEntry	"D",,3,3,0
	MusicNoteTableEntry	"C",,3,2,0
	MusicNoteTableEntry	"D",,3,1,0
	MusicNoteTableEntry	"C",,3,2,0
	MusicNoteTableEntry	"B","b",2,3,0

	MusicNoteTableEntry	"R",,0,2,0
	
	MusicNoteTableEntry	"B","b",3,3,0
	MusicNoteTableEntry	"A",,3,2,0
	MusicNoteTableEntry	"B","b",3,1,0
	MusicNoteTableEntry	"A",,3,2,0
	MusicNoteTableEntry	"G",,3,3,0
	
	MusicNoteTableEntry	"R",,0,2,0
	
	MusicNoteTableEntry	"A",,3,3,0
	MusicNoteTableEntry	"F",,3,2,0
	MusicNoteTableEntry	"B","b",3,1,0
	MusicNoteTableEntry	"A",,3,3,0
	MusicNoteTableEntry	"F",,3,2,0
	MusicNoteTableEntry	"B","b",3,1,0
	MusicNoteTableEntry	"A","b",3,3,0
	MusicNoteTableEntry	"F",,3,2,0
	MusicNoteTableEntry	"G",,3,1,0
	MusicNoteTableEntry	"A","b",3,3,0
	MusicNoteTableEntry	"F",,3,3,0

	MusicNoteTableEntry	"R",,0,3,0
	
	MusicNoteTableEntry	"E","b",3,1,0
	MusicNoteTableEntry	"C",,3,1,0
	MusicNoteTableEntry	"F",,3,3,0
	MusicNoteTableEntry	"F",,3,3,0
	
	MusicNoteTableDone

Scale:
#ifdef NOTDEF
	MusicNoteTableEntry	"C",,0,3,0
	MusicNoteTableEntry	"D",,0,3,0
	MusicNoteTableEntry	"E",,0,3,0
	MusicNoteTableEntry	"F",,0,3,0
	MusicNoteTableEntry	"G",,0,3,0
	MusicNoteTableEntry	"A",,0,3,0
	MusicNoteTableEntry	"B",,0,3,0

	MusicNoteTableEntry	"C",,1,3,0
	MusicNoteTableEntry	"D",,1,3,0
	MusicNoteTableEntry	"E",,1,3,0
	MusicNoteTableEntry	"F",,1,3,0
	MusicNoteTableEntry	"G",,1,3,0
	MusicNoteTableEntry	"A",,1,3,0
	MusicNoteTableEntry	"B",,1,3,0

	MusicNoteTableEntry	"C",,2,3,0
	MusicNoteTableEntry	"D",,2,3,0
	MusicNoteTableEntry	"E",,2,3,0
	MusicNoteTableEntry	"F",,2,3,0
	MusicNoteTableEntry	"G",,2,3,0
	MusicNoteTableEntry	"A",,2,3,0
	MusicNoteTableEntry	"B",,2,3,0

	MusicNoteTableEntry	"C",,3,3,0
	MusicNoteTableEntry	"D",,3,3,0
	MusicNoteTableEntry	"E",,3,3,0
	MusicNoteTableEntry	"F",,3,3,0
	MusicNoteTableEntry	"G",,3,3,0
	MusicNoteTableEntry	"A",,3,3,0
	MusicNoteTableEntry	"B",,3,3,0

	MusicNoteTableEntry	"C",,4,3,0
	MusicNoteTableEntry	"D",,4,3,0
	MusicNoteTableEntry	"E",,4,3,0
	MusicNoteTableEntry	"F",,4,3,0
	MusicNoteTableEntry	"G",,4,3,0
	MusicNoteTableEntry	"A",,4,3,0
	MusicNoteTableEntry	"B",,4,3,0

	MusicNoteTableEntry	"C",,5,3,0
	MusicNoteTableEntry	"D",,5,3,0
	MusicNoteTableEntry	"E",,5,3,0
	MusicNoteTableEntry	"F",,5,3,0
	MusicNoteTableEntry	"G",,5,3,0
	MusicNoteTableEntry	"A",,5,3,0
	MusicNoteTableEntry	"B",,5,3,0

	MusicNoteTableEntry	"C",,6,3,0
	MusicNoteTableEntry	"D",,6,3,0
	MusicNoteTableEntry	"E",,6,3,0
	MusicNoteTableEntry	"F",,6,3,0
	MusicNoteTableEntry	"G",,6,3,0
	MusicNoteTableEntry	"A",,6,3,0
	MusicNoteTableEntry	"B",,6,3,0

	MusicNoteTableEntry	"C",,7,3,0
	MusicNoteTableEntry	"D",,7,3,0
	MusicNoteTableEntry	"E",,7,3,0
	MusicNoteTableEntry	"F",,7,3,0
	MusicNoteTableEntry	"G",,7,3,0
	MusicNoteTableEntry	"A",,7,3,0
	MusicNoteTableEntry	"B",,7,3,0
	
	MusicNoteTableDone
#endif
							
;;; =======================================================================
;;; =======================================================================

	END
