;;;
;;; RETRIS_POS - the current piece position
;;; RETRIS_PIECE - the index of the current piece
;;; RETRIS_STATE - main high-level state variable
;;; RETRIS_GSTATE - game processing state variable
;;; RETRIS_DONE - set to non-zero when the game is over
;;; RETRIS_SPEED - the speed pieces moving down
;;; RETRIS_LEVEL - a counter for the current level (number of rows destroyed)
;;;	Currently - this is assumed to be 255 or less
;;; RETRIS_ROW - used by numerous routines for row index
;;; RETRIS_COL - used by numerous routines for column index

#define	RETRIS_POS	0x60
#define RETRIS_PIECE	0x61
	
#define RETRIS_STATE	0x62
#define RETRIS_GSTATE	0x63

#define RETRIS_DONE	0x64
#define RETRIS_SPEED	0x65
#define RETRIS_LEVEL	0x66

#define RETRIS_ROW	0x67
#define RETRIS_COL	0x68

#define RETRIS_WORK0	0x69

#define RETRIS_BEEPER	0x6a

#define RETRIS_DOTLOOP	0x70
#define RETRIS_TARGET	0x71

